Subject: securityContext->getParty is not available in widget context
Description

consider the following scenario:
 1class SampleViewHelper extends \TYPO3\Fluid\Core\Widget\AbstractWidgetViewHelper {
 2
 3    /**
 4     * @var bool
 5     */
 6    protected $ajaxWidget = TRUE;
 7
 8    /**
 9     * @FLOW3\Inject
10     * @var ...\ViewHelpers\Widget\Controller\SampleController
11     */
12    protected $controller;
13
14    /**
15     * @return array
16     */
17    protected function getWidgetConfiguration() {
18        $something = new \AnEntity();
19
20...
21

and
 1class AnEntity {
 2
 3    /**
 4     * @FLOW3\Inject
 5     * @var \TYPO3\FLOW3\Security\Context
 6     */
 7    protected $securityContext;
 8
 9    /**
10     */
11    public function initializeObject() {
12        $this->securityContext->getParty();
13
14...
the Session implementation crashes; concretely the following error occurs:

#1: Warning: session_write_close(): Failed to write session data (files). Please verify that the current setting of
session.save_path is correct (/var/www/Data/Temporary/Development/Sessions) in
/var/www/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/TYPO3_FLOW3_Session_PhpSession_Original.php line 332 

l.php line 332 

Related issues:
related to TYPO3.Flow - Bug # 35083: involving SecurityContext in Widget's __... New 2012-03-21

History
#1 - 2012-05-16 18:02 - Christian Müller

I couldn't reproduce this in PHP 5.3 seems to be really something with PHP 5.4, more tests are required here.

#2 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#3 - 2012-06-25 22:14 - Karsten Dambekalns
- Status changed from New to On Hold
- Target version deleted (1.1 RC1)
- Affected Flow version changed from Git master to (any)
